POST /v1/tx/submit
Submits a signed transaction created by one of the build endpoints.
- Auth: required (see API Authentication)
- Errors: see Errors
- Method:
POST - Path:
/v1/tx/submit
Headers
Section titled “Headers”Authorization: Bearer api_your_key_hereContent-Type: application/json{ "submissionToken": "txn_...", "signedTransaction": "BASE64_WIRE_SIGNED_TRANSACTION"}Fields
Section titled “Fields”submissionToken(string, required): ties this submission to the server-side stored unsigned transactionsignedTransaction(string, required): base64 wire signed transaction
Response
Section titled “Response”{ "success": true, "data": { "signature": "5Y...", "status": "confirmed", "slot": 321234567, "platform": "pump_fun", "inputMint": "So11111111111111111111111111111111111111111", "outputMint": "TOKEN_MINT", "tradeResult": { "inputAmount": 0.002, "outputAmount": 70598.459309 }, "estimates": { "inputAmount": 0.002, "outputAmount": 70598.459309, "priceImapct": 0.000468 }, "priorityCost": 0.000005125 }}- The API validates that the signed transaction’s message bytes match the originally-built message.